Get Transfers
List Onboarding Transfers
Retrieve the transfer history associated with a specific onboarding
GET
/
onboardings
/
{onboarding_id}
/
transfers
cURL
curl --request GET \
--url https://api-sandbox.y.uno/v1/onboardings/{onboarding_id}/transfers \
--header 'private-secret-key: <api-key>' \
--header 'public-api-key: <api-key>'import requests
url = "https://api-sandbox.y.uno/v1/onboardings/{onboarding_id}/transfers"
headers = {
"public-api-key": "<api-key>",
"private-secret-key": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'public-api-key': '<api-key>', 'private-secret-key': '<api-key>'}
};
fetch('https://api-sandbox.y.uno/v1/onboardings/{onboarding_id}/transfers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "550e8400-e29b-41d4-a716-446655440000",
"origin_onboarding": {
"id": "660e8400-e29b-41d4-a716-446655440001",
"status": "TRANSFERRED",
"type": "ONE_STEP_ONBOARDING",
"workflow": "DIRECT",
"provider": {
"id": "STRIPE",
"recipient_id": "acct_1234567890",
"connection_id": "880e8400-e29b-41d4-a716-446655440003"
},
"recipient": {
"id": "770e8400-e29b-41d4-a716-446655440002",
"merchant_recipient_id": "seller-123",
"email": "seller@example.com"
},
"created_at": "2026-01-15T10:00:00Z",
"updated_at": "2026-01-15T16:59:22Z"
},
"destination_onboarding": {
"id": "990e8400-e29b-41d4-a716-446655440004",
"status": "SUCCEEDED",
"type": "ONE_STEP_ONBOARDING",
"provider": {
"id": "STRIPE",
"recipient_id": "acct_0987654321",
"connection_id": "880e8400-e29b-41d4-a716-446655440003"
},
"recipient": {
"id": "aa0e8400-e29b-41d4-a716-446655440005",
"merchant_recipient_id": "seller-456",
"email": "newseller@example.com"
},
"created_at": "2026-01-15T16:59:22Z",
"updated_at": "2026-01-15T16:59:23Z"
},
"created_at": "2026-01-15T16:59:22.996009Z",
"updated_at": "2026-01-15T16:59:23.734739Z"
}
]{
"code": "FORBIDDEN",
"messages": [
"You do not have permission to access this resource."
]
}{
"code": "ONBOARDING_NOT_FOUND",
"messages": [
"Onboarding not found."
]
}View all transfers associated with a specific onboarding. Useful to track the complete transfer chain, including reversals.
Response Format
- Returns an array of
onboardingTransferResponseobjects - Ordered by
created_atDESC (most recent first) - Includes transfers where onboarding is either origin or destination
- Empty array
[]if no transfers found
Authorizations
Headers
The account_id found in your Yuno Dashboard (UUID).
Path Parameters
The onboarding id returned from the create onboarding endpoint (UUID).
Was this page helpful?
Previous
Reverse Transfer OnboardingReverse a completed onboarding transfer back to its original recipient
Next
⌘I
cURL
